/*
 * Copyright 2002-2005 Uwyn bvba/sprl <info[remove] at uwyn dot com>
 * Distributed under the terms of the GNU Lesser General Public
 * License, v2.1 or later
 *
 * $Id: com_mysql_jdbc_Driver.java 1322 2005-02-14 11:16:07Z gbevin $
 */
package com.uwyn.drone.modules.faqmanagement.databasedrivers;

import com.uwyn.drone.modules.faqmanagement.FaqData;
import com.uwyn.rife.database.Datasource;
import com.uwyn.rife.database.queries.Insert;

public class com_mysql_jdbc_Driver extends generic_nosequence
{
	public com_mysql_jdbc_Driver(Datasource datasource)
	{
		super(datasource);

		mCreateTableFaq = mCreateTableFaq
			.customAttribute("id", "AUTO_INCREMENT");

		mAddFaq = new Insert(getDatasource())
			.into("faq")
			.fieldsParametersExcluded(FaqData.class, new String[] {"id"})
			.fieldParameter("botname");
	}
}
